Page MenuHomePhabricator

[Feature request] Database as a Service (Trove) for Cloud VPS projects
Open, MediumPublic

Description

Trove is a nice service that can provide database services to the cloud. So I, a tool developer, can build my own database, use it in services and easily throw away my VMs when needed without fear of losing data. It would also improves security of the databases.

Details

ProjectBranchLines +/-Subject
operations/puppetproduction+31 -0
openstack/horizon/trove-dashboardmain+0 -97
operations/puppetproduction+2 -0
operations/puppetproduction+7 -0
operations/puppetproduction+6 -4
operations/puppetproduction+24 -4
labs/privatemaster+2 -0
operations/puppetproduction+15 -0
operations/puppetproduction+10 -16
operations/puppetproduction+1 -1
openstack/horizon/deploymain+13 -2
openstack/horizon/wheelsmain+0 -0
operations/puppetproduction+1 -1
operations/puppetproduction+2 K -0
operations/puppetproduction+6 -6
operations/puppetproduction+1 -1
operations/puppetproduction+15 -0
operations/puppetproduction+1 -0
operations/puppetproduction+703 -0
labs/privatemaster+4 -0
Show related patches Customize query in gerrit

Related Objects

Event Timeline

bd808 triaged this task as Low priority.Dec 27 2018, 2:00 AM
bd808 edited projects, added Cloud-VPS; removed Cloud-Services.
bd808 added a subscriber: bd808.

This is an interesting idea, but not a trivial matter of just installing a Debian package.

bd808 renamed this task from [Feature request] Install and use trove in openstack to [Feature request] Database as a Service for Cloud VPS projects.Feb 10 2019, 8:58 PM
Bstorm raised the priority of this task from Low to Medium.Nov 10 2020, 9:51 PM

FYI @Ladsgroup, I have investigating this feature as one of my quarterly goals. I can't yet predict when it will happen but it's definitely something we all want.

Andrew renamed this task from [Feature request] Database as a Service for Cloud VPS projects to [Feature request] Database as a Service (Trove) for Cloud VPS projects.Mar 9 2021, 4:37 PM

Thank you. Looking forward to it!

Change 675842 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):
[operations/puppet@production] Rough in OpenStack Trove module

https://gerrit.wikimedia.org/r/675842

Change 675851 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):
[labs/private@master] Add fake passwords for OpenStack Trove

https://gerrit.wikimedia.org/r/675851

Change 675851 merged by Andrew Bogott:
[labs/private@master] Add fake passwords for OpenStack Trove

https://gerrit.wikimedia.org/r/675851

Change 675842 merged by Andrew Bogott:
[operations/puppet@production] Rough in OpenStack Trove module

https://gerrit.wikimedia.org/r/675842

Change 675858 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):
[operations/puppet@production] cloud-vps: include python3-troveclient

https://gerrit.wikimedia.org/r/675858

Change 675858 merged by Andrew Bogott:
[operations/puppet@production] cloud-vps: include python3-troveclient

https://gerrit.wikimedia.org/r/675858

Change 675899 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Rabbitmq: open firewall to traffic from the cloud in codfw1dev

https://gerrit.wikimedia.org/r/675899

Change 675899 merged by Andrew Bogott:

[operations/puppet@production] Rabbitmq: open firewall to traffic from the cloud in codfw1dev

https://gerrit.wikimedia.org/r/675899

Change 675909 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] trove-guestagent.conf: Don't set log_config_append

https://gerrit.wikimedia.org/r/675909

Change 675909 merged by Andrew Bogott:

[operations/puppet@production] trove-guestagent.conf: Don't set log_config_append

https://gerrit.wikimedia.org/r/675909

Change 676135 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] OpenStack Trove: use /dev/sdb instead of /dev/vdb

https://gerrit.wikimedia.org/r/676135

Change 676137 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Openstack Trove: Hack in a bugfix that's missing from the debian package

https://gerrit.wikimedia.org/r/676137

Change 676135 merged by Andrew Bogott:

[operations/puppet@production] OpenStack Trove: use /dev/sdb instead of /dev/vdb

https://gerrit.wikimedia.org/r/676135

Change 676137 merged by Andrew Bogott:

[operations/puppet@production] Openstack Trove: Hack in a bugfix that's missing from the debian package

https://gerrit.wikimedia.org/r/676137

General agreement is that we should wait until version Victoria to actually run this as a production service. In the meantime I'll keep the puppet code around and forward it on through U to V.

Change 676169 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] codfw1dev: turn off trove for now

https://gerrit.wikimedia.org/r/676169

Change 676169 merged by Andrew Bogott:

[operations/puppet@production] codfw1dev: turn off trove for now

https://gerrit.wikimedia.org/r/676169

Change 679918 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[openstack/horizon/wheels@main] Add wheels needed by trove dashboard

https://gerrit.wikimedia.org/r/679918

Change 679919 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[openstack/horizon/deploy@main] Added trove-dashboard submodule

https://gerrit.wikimedia.org/r/679919

Change 679918 merged by Andrew Bogott:

[openstack/horizon/wheels@main] Add wheels needed by trove dashboard

https://gerrit.wikimedia.org/r/679918

Change 679919 merged by Andrew Bogott:

[openstack/horizon/deploy@main] Added trove-dashboard submodule

https://gerrit.wikimedia.org/r/679919

Change 679924 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Install trove services in codfw1dev

https://gerrit.wikimedia.org/r/679924

Change 679924 merged by Andrew Bogott:

[operations/puppet@production] Install trove services in codfw1dev

https://gerrit.wikimedia.org/r/679924

Change 680102 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Update trove.conf as per Ussuri release notes

https://gerrit.wikimedia.org/r/680102

Change 680102 merged by Andrew Bogott:

[operations/puppet@production] Update trove.conf as per Ussuri release notes

https://gerrit.wikimedia.org/r/680102

Change 681790 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Trove.conf: add [network] section

https://gerrit.wikimedia.org/r/681790

Change 681790 merged by Andrew Bogott:

[operations/puppet@production] Trove.conf: add [network] section

https://gerrit.wikimedia.org/r/681790

Change 682126 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[labs/private@master] Dummy passwords for Trove service user

https://gerrit.wikimedia.org/r/682126

Change 682129 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Trove: move most trove activity into a service project

https://gerrit.wikimedia.org/r/682129

Change 682126 merged by Andrew Bogott:

[labs/private@master] Dummy passwords for Trove service user

https://gerrit.wikimedia.org/r/682126

Change 682129 merged by Andrew Bogott:

[operations/puppet@production] Trove: move most trove activity into a service project

https://gerrit.wikimedia.org/r/682129

Andrew added a subscriber: Bstorm.

Trove is now up and running in codfw1dev. Going to pause development for now until I get some user feedback from @Bstorm

Change 683092 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Trove: set low default quotas per project.

https://gerrit.wikimedia.org/r/683092

Next topic: Where does Trove get its docker images? We should get them from quay.io or self-host.

Change 683092 merged by Andrew Bogott:

[operations/puppet@production] Trove: set low default quotas per project but big potential DB size

https://gerrit.wikimedia.org/r/683092

Change 683924 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Trove: use our quay.io docker registry rather than docker hub.

https://gerrit.wikimedia.org/r/683924

Change 683924 merged by Andrew Bogott:

[operations/puppet@production] Trove: use our quay.io docker registry rather than docker hub.

https://gerrit.wikimedia.org/r/683924

Change 683928 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Trove: specify the mysql container should come from quay.io

https://gerrit.wikimedia.org/r/683928

Change 683928 merged by Andrew Bogott:

[operations/puppet@production] Trove: specify the mysql container should come from quay.io

https://gerrit.wikimedia.org/r/683928

From irc:

andrewbogott: you can use images there at your own responsibility, by default, root acount is disabled and trove admin should config nova keypair for trove instances.

Change 686611 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[openstack/horizon/trove-dashboard@main] Remove 'backup' panels

https://gerrit.wikimedia.org/r/686611

Change 686611 merged by Andrew Bogott:

[openstack/horizon/trove-dashboard@main] Remove 'backup' panels

https://gerrit.wikimedia.org/r/686611

Change 689190 had a related patch set uploaded (by Andrew Bogott; author: Andrew Bogott):

[operations/puppet@production] Deploy OpenStack Trove in eqiad1

https://gerrit.wikimedia.org/r/689190